Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.management.relation
Class RoleUnresolved

    java.lang.Object
      javax.management.relation.RoleUnresolved

All Implemented Interfaces:
  Serializable

public class RoleUnresolved
extends Object
implements Serializable

An unresolved role. Used when a role could not be retrieved from a relation due to a problem. It has the role name, the value if that was passed and the problem type.

Version:
  $Revision: 1.8 $
Author:
  Adrian Brock
See Also:
  Serialized Form

Constructor Summary
`RoleUnresolved(String roleName, List roleValue, int problemType)` Construct a new unresolved role.

Method Summary
`Object` | `clone()` Clones the object.
`int` | `getProblemType()` Retrieve the problem type.
`String` | `getRoleName()` Retrieve the role name.
`List` | `getRoleValue()` Retrieve the role value.
`void` | `setProblemType(int problemType)` Set the problem type.
`void` | `setRoleName(String roleName)` Set the role name.
`void` | `setRoleValue(List roleValue)` Set the role value it must be an ArrayList.
`String` | `toString()` Formats the unresolved role for output.

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### RoleUnresolved

    public RoleUnresolved(String roleName,
                          List roleValue,
                          int problemType)
                   throws IllegalArgumentException

  Construct a new unresolved role.

  See `RoleStatus` for the problem types.

  The passed list must be an ArrayList.

Parameters:
  `roleName` - the role name
  `roleValue` - the MBean object names in the role can be null
  `problemType` - the problem type.
Throws:
  `IllegalArgumentException` - for null values or incorrect problem type.

Method Detail

### getProblemType

    public int getProblemType()

  Retrieve the problem type.

  Returns:
    the problem type.

### getRoleName

    public String getRoleName()

  Retrieve the role name.

  Returns:
    the role name.

### getRoleValue

    public List getRoleValue()

  Retrieve the role value.

  Returns:
    a list of MBean object names.

### setProblemType

    public void setProblemType(int problemType)
                        throws IllegalArgumentException

  Set the problem type.

  Parameters:
    `problemType` - the problem type.
  Throws:
    `IllegalArgumentException` - for an invalid problem type

### setRoleName

    public void setRoleName(String roleName)
                     throws IllegalArgumentException

  Set the role name.

  Parameters:
    `roleName` - the role name.
  Throws:
    `IllegalArgumentException` - for a null name

### setRoleValue

    public void setRoleValue(List roleValue)

  Set the role value it must be an ArrayList. A list of mbean object names.

  Parameters:
    `roleValue` - the role value.

### clone

    public Object clone()

  Clones the object.

### toString

    public String toString()

  Formats the unresolved role for output.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.